Bug 208160 - [NEW PORT] deskutils/alarm-clock-applet, a fully-featured alarm clock for your GNOME panel or equivalent
Summary: [NEW PORT] deskutils/alarm-clock-applet, a fully-featured alarm clock for yo...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-20 17:28 UTC by ILUXA
Modified: 2017-02-16 14:29 UTC (History)
2 users (show)

See Also:


Attachments
deskutils/alarm-clock-applet (5.06 KB, text/plain)
2016-03-20 17:28 UTC, ILUXA
no flags Details
FIXED! and WORKING VERSION! (6.22 KB, patch)
2016-03-27 04:37 UTC, ILUXA
no flags Details | Diff
forgot specify an email in pervios .shar (6.21 KB, text/plain)
2016-03-27 14:19 UTC, ILUXA
no flags Details
alarm-clock-applet.shar (5.59 KB, text/plain)
2016-11-17 18:08 UTC, Tobias Kortkamp
no flags Details
synth log (83.39 KB, text/x-log)
2016-11-19 22:26 UTC, ILUXA
no flags Details
alarm-clock-applet.shar portlint — OK port test — OK make describe — OK (5.57 KB, text/plain)
2016-12-02 03:51 UTC, ILUXA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ILUXA 2016-03-20 17:28:33 UTC
Created attachment 168429 [details]
deskutils/alarm-clock-applet

This is a port of alarm-clock-applet. Alarm Clock is a fully-featured 
alarm clock for your GNOME panel or equivalent. It's easy to use yet 
powerful with support for multiple repeatable alarms, as well as
snoozing and a flexible notification system. Alarm Clock will notify
you of an alarm by either playing a sound or starting your favorite 
music player!

WWW: http://alarm-clock.pseudoberries.com/
Comment 1 ILUXA 2016-03-20 21:03:12 UTC
this has some errors. will upload a fixed version soon.
Comment 2 ILUXA 2016-03-27 04:37:02 UTC
Created attachment 168668 [details]
FIXED! and WORKING VERSION!

FIXED!! and WORKING VERSION!!!
Comment 3 ILUXA 2016-03-27 14:19:36 UTC
Created attachment 168683 [details]
forgot specify an email in pervios .shar

 FIXED! and WORKING VERSION!(1) (forgot specify an email)
Comment 4 Tobias Kortkamp freebsd_committer 2016-11-17 18:08:50 UTC
Created attachment 177122 [details]
alarm-clock-applet.shar

Hi ILUXA,

I made some changes to the port to make portlint happy and so that it builds in Poudriere.  LIB_DEPENDS could be trimmed a lot by using the appropriate USE_* flags.  I hope that's all ok with you.

With this: poudriere testport FreeBSD 10.3/amd64 ok, portlint ok
Comment 5 ILUXA 2016-11-19 22:26:19 UTC
Created attachment 177190 [details]
synth log

Thank you Tobias! I hope it will be approved…

attaching ports-mgmt/synth log, with successful build and installation (I used your improved version).
Comment 6 ILUXA 2016-12-02 03:51:29 UTC
Created attachment 177589 [details]
alarm-clock-applet.shar

portlint — OK
port test — OK
make describe — OK

New .shar with fixed ports-mgmt/synth error —
"Warning: you need LIB_DEPENDS+=libgstreamer-1.0.so:multimedia/gstreamer1"
Comment 7 commit-hook freebsd_committer 2017-02-16 14:25:53 UTC
A commit references this bug:

Author: tobik
Date: Thu Feb 16 14:25:46 UTC 2017
New revision: 434212
URL: https://svnweb.freebsd.org/changeset/ports/434212

Log:
  New port: deskutils/alarm-clock-applet

  Alarm Clock is a fully-featured alarm clock for your GNOME panel or
  equivalent.  It's easy to use yet powerful with support for multiple
  repeatable alarms, as well as snoozing and a flexible notification
  system.  Alarm Clock will notify you of an alarm by either playing a
  sound or starting your favorite music player!

  WWW: http://alarm-clock.pseudoberries.com/

  PR:	208160
  Submitted by:	iluxa@ex.ua
  Approved by:	lme (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9631

Changes:
  head/deskutils/Makefile
  head/deskutils/alarm-clock-applet/
  head/deskutils/alarm-clock-applet/Makefile
  head/deskutils/alarm-clock-applet/distinfo
  head/deskutils/alarm-clock-applet/pkg-descr
  head/deskutils/alarm-clock-applet/pkg-plist
Comment 8 Tobias Kortkamp freebsd_committer 2017-02-16 14:29:57 UTC
Committed.  Thanks.

Sorry that this took so long.

Anyway, congrats on your first port :)